/**
 * The Command interface requires implementing classes to override the
 * execute() command. 
 */

package extensions.gem;

import javax.servlet.*;
import javax.servlet.http.*;

public interface Command {
    public HttpServletResponse execute(HttpServletRequest req,
				       HttpServletResponse res);
    public String getNextPage();
}
