/**
 * Define the command for an item in the "Submit Job" menu.
 */

package extensions.gem;

import WebFlow.submitJob.*;
import java.util.*;
import java.io.*;
import java.net.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class SubmitCommand implements Command {
    
    ContextManagerBean my_cm;
    jobInfoBean infobean;
    AuthenticateBean auth;
    moduleServerBean mod;
    String probName,probVal,dir;
    String urlString;
    submitJob sj=null;
    //    SerialHash sh=null;
    String machine,userName,command;
    Hashtable paramHash;
    String nextPage;
    String envp="KRB5CCNAME=";
 
    public SubmitCommand(String nextPage) {
	this.nextPage=nextPage;
    }
    
    public String getNextPage() { return nextPage; }
    
    public HttpServletResponse execute(HttpServletRequest req,
				       HttpServletResponse res) {
	my_cm=(ContextManagerBean)req.getSession().getAttribute("my_cm");
	auth=(AuthenticateBean)req.getSession().getAttribute("auth");
	mod=(moduleServerBean)req.getSession().getAttribute("modserver");
	infobean=(jobInfoBean)req.getSession().getAttribute("storeInfo");
	
	machine=my_cm.getCurrentSessionProperty("HostName");
	userName=auth.getUserName();
	command=my_cm.getCurrentSessionProperty("QsubPath");
	command+=" "+my_cm.getCurrentSessionProperty("Directory");
	command+="/job.script";
	envp+=auth.getKrb5ccname();
	

	sj=mod.getSubmitJob();
	System.out.println(command);
	String space=" ";
	System.out.println(machine+space+userName+space+envp);
	String jobID=sj.execRemoteCommand(machine,
					  userName,
					  command,
					  "rsh");
	return res;
    }
}
